﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace DbExample
{
    public partial class NewDocumentWindow : ChildWindow
    {
        #region Properties

        public string Title
        {
            get
            {
                return txtTitle.Text;
            }
        }

        #endregion

        #region Constructors

        public NewDocumentWindow()
        {
            InitializeComponent();
        }
        
        #endregion

        #region Events

        private void OKButton_Click(object sender, RoutedEventArgs e)
        {
            this.DialogResult = true;
        }

        private void CancelButton_Click(object sender, RoutedEventArgs e)
        {
            this.txtTitle.Text = string.Empty;
            this.DialogResult = false;
        }

        private void txtTitle_TextChanged(object sender, TextChangedEventArgs e)
        {
            if (string.IsNullOrEmpty(txtTitle.Text))
            {
                OKButton.IsEnabled = false;
            }
            else
            {
                OKButton.IsEnabled = true;
            }
        } 

        #endregion
    }
}

